# Simple usage with a mounted data directory:
# > sudo docker build -t phi .
# > sudo docker run -it -p 46657:46657 -p 46656:46656 -v ~/.phid:/root/.phid -v ~/.phicli:/root/.phicli phi phid init
# > sudo docker run -it -p 46657:46657 -p 46656:46656 -v ~/.phid:/root/.phid -v ~/.phicli:/root/.phicli phi phid start
FROM golang:latest AS build-env

# Set up dependencies
ENV PACKAGES curl make git libc-dev bash gcc linux-headers eudev-dev python3

# Set working directory for the build
WORKDIR /go/src/gitlab.com/500chains/phi/chain

# Add source files
COPY . .

# Install minimum necessary dependencies, build Cosmos SDK, remove packages
RUN apk add --no-cache $PACKAGES
#RUN make tools && \
RUN make install

# Final image
FROM alpine:edge

# Install ca-certificates
RUN apk add --update ca-certificates
WORKDIR /root

# Copy over binaries from the build-env
COPY --from=build-env /go/bin/phid /usr/bin/phid
COPY --from=build-env /go/bin/phicli /usr/bin/phicli

# Run phid by default, omit entrypoint to ease using container with phicli
CMD ["phid"]
